
Redmine - Feature #4004

Setup Object Daddy to replace test fixtures

2009-10-08 21:35 - Eric Davis

Status: Closed Start date: 2009-10-08

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

The test fixtures are becoming difficult to maintain.  If we add Object Daddy, we can slowly get rid of the test fixtures and make it

easier to generate testing data.

Associated revisions

Revision 2930 - 2009-10-19 00:25 - Eric Davis

Configured object_daddy to help generate test data instead of fixtures. #4004

History

#1 - 2009-10-19 00:22 - Eric Davis

- Status changed from 7 to Closed

- % Done changed from 0 to 100

- Resolution set to Fixed

I've added the object_daddy gem and a set of exemplars I've been using in my plugins (r2930).  They are not a complete set but we can add to them

as tests are updated.
http://github.com/flogic/object_daddy
https://www.redmine.org/projects/redmine/repository/svn/revisions/2930
http://www.tcpdf.org

